<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [setGeolocation](./puppeteer.page.setgeolocation.md)

## Page.setGeolocation() method

Sets the page's geolocation.

<b>Signature:</b>

```typescript
setGeolocation(options: GeolocationOptions): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [GeolocationOptions](./puppeteer.geolocationoptions.md) |  |

<b>Returns:</b>

Promise&lt;void&gt;

## Remarks

Consider using [BrowserContext.overridePermissions()](./puppeteer.browsercontext.overridepermissions.md) to grant permissions for the page to read its geolocation.

## Example


```js
await page.setGeolocation({latitude: 59.95, longitude: 30.31667});

```

